> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a logbook entry

> Update the selected logbook entry for the specified vehicle



## OpenAPI

````yaml /api-reference/m2m-api.yml put /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/logbook/{logbookEntryId}
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/logbook/{logbookEntryId}:
    put:
      tags:
        - Logbook
      summary: Update a logbook entry
      description: Update the selected logbook entry for the specified vehicle
      operationId: updateLogbookEntry
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: >-
            The two-letter country code of the asset provider the vehicles
            belong to
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the asset provider the vehicles belong
            to
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
        - in: path
          name: logbookEntryId
          schema:
            type: string
          required: true
          example: 1174
          description: The id of the logbook entry
      requestBody:
        required: true
        description: >-
          The request body contains the logbook entry that should be replace the
          other one under the specified id
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LogbookEntryRequest'
      responses:
        '200':
          description: The update logbook entry
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LogbookEntry'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Could not find the logbook entry or the vehicle
      security:
        - oauth:
            - openid
components:
  schemas:
    LogbookEntryRequest:
      type: object
      required:
        - type
        - fromDatetime
        - fromLocation
        - fromMileage
      properties:
        type:
          $ref: '#/components/schemas/TripType'
        fromDatetime:
          type: string
          format: date-time
          description: Start time of the entry in UTC
          example: '2025-10-07T10:24:41.143Z'
        fromLocation:
          $ref: '#/components/schemas/Location'
        fromMileage:
          type: integer
          description: Mileage at the start of the trip
        toDatetime:
          type: string
          format: date-time
          description: End time of the trip in UTC
          example: '2025-10-07T10:24:41.143Z'
        toLocation:
          $ref: '#/components/schemas/Location'
        toMileage:
          type: integer
          description: Mileage at the end of the trip
        driver:
          $ref: '#/components/schemas/Customer'
        note:
          type: string
          description: Additional note about the trip
    LogbookEntry:
      type: object
      required:
        - id
        - type
        - fromDatetime
        - fromLocation
        - fromMileage
      properties:
        id:
          type: integer
        created:
          type: string
          format: date-time
          description: Creation time of the logbook entry in UTC
          example: '2025-10-07T10:24:41.143Z'
        type:
          $ref: '#/components/schemas/TripType'
        fromDatetime:
          type: string
          format: date-time
          description: Start time of the entry in UTC
          example: '2025-10-07T10:24:41.143Z'
        fromLocation:
          $ref: '#/components/schemas/Location'
        fromMileage:
          type: integer
          description: Mileage at the start of the trip
          example: 100
        toDatetime:
          type: string
          format: date-time
          description: End time of the trip in UTC
          example: '2025-10-07T10:24:41.143Z'
        toLocation:
          $ref: '#/components/schemas/Location'
        toMileage:
          type: integer
          description: Mileage at the end of the trip
          example: 340
        distance:
          type: integer
          description: Covered distance over the duration of the trip
          example: 240
        driver:
          $ref: '#/components/schemas/Customer'
        note:
          type: string
          description: Additional note about the trip
    TripType:
      type: string
      description: Type of trip
      enum:
        - Business
        - Private
    Location:
      type: object
      required:
        - geoLatitude
        - geoLongitude
        - name
        - address
      properties:
        geoLatitude:
          type: number
          format: double
          description: GPS latitude of the location
          example: 15.01
        geoLongitude:
          type: number
          format: double
          description: GPS longitude of the location
          example: 2.8
        name:
          type: string
          description: Name of the location
          example: smartmove location
        address:
          type: string
          description: Address of the location
          example: Street 1, 1010 Vienna, Austria
    Customer:
      type: object
      required:
        - mobilityProviderCountryCode
        - mobilityProviderCode
        - customerId
      properties:
        mobilityProviderCountryCode:
          type: string
          description: Mobility provider country code
          minLength: 2
          maxLength: 2
          example: AT
        mobilityProviderCode:
          type: string
          description: Mobility provider code
          minLength: 3
          maxLength: 3
          example: ABC
        customerId:
          type: string
          description: >-
            The user id in UUID format (only the versions 1, 2, 3 and 4 are
            currently supported)
          format: uuid
          example: 828c2d1c-d933-4138-9577-02c292b6d869
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````